(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6320,        210]
NotebookOptionsPosition[      5849,        192]
NotebookOutlinePosition[      6291,        209]
CellTagsIndexPosition[      6248,        206]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"dos", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R", "\[Rule]", "6"}], ",", 
     RowBox[{"c", "->", 
      SuperscriptBox["10", 
       RowBox[{"-", "4"}]]}], ",", 
     RowBox[{"L", "->", "0.1"}], ",", 
     RowBox[{
      RowBox[{"u", "[", "t", "]"}], "->", 
      RowBox[{
       RowBox[{"0", "*", 
        RowBox[{"Sin", "[", 
         RowBox[{"2", "*", "Pi", "*", 
          FractionBox["t", "tau"]}], "]"}]}], "+", "1"}]}]}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rceSoucastek", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"uR", "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"iR", "[", "t", "]"}], "*", "R"}]}], ",", 
     RowBox[{
      RowBox[{"uL", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"L", "*", 
       RowBox[{
        RowBox[{"iL", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"ic", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"c", "*", 
       RowBox[{
        RowBox[{"uc", "'"}], "[", "t", "]"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceNapeti", "=", 
   RowBox[{"{", 
    RowBox[{"0", "\[Equal]", 
     RowBox[{
      RowBox[{"u", "[", "t", "]"}], "-", 
      RowBox[{"uR", "[", "t", "]"}], "-", 
      RowBox[{"uL", "[", "t", "]"}], "-", 
      RowBox[{"uc", "[", "t", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceProudy", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"iR", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"iL", "[", "t", "]"}]}], ",", 
     RowBox[{
      RowBox[{"iL", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"ic", "[", "t", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rcePocatecnichPodminek", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"uc", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{"iL", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vse", "=", 
   RowBox[{
    RowBox[{"Union", "[", 
     RowBox[{
     "rceSoucastek", ",", "rceProudy", ",", "rceNapeti", ",", 
      "rcePocatecnichPodminek"}], "]"}], "/.", "dos"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tau", "=", 
   RowBox[{
    RowBox[{"2", "*", "Pi", "*", 
     SqrtBox[
      RowBox[{"L", "*", "c"}]]}], "/.", "dos"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<tau= \>\"", ",", "tau", ",", "\"\< s\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", 
   RowBox[{"3", "tau"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nezname", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"uR", "[", "t", "]"}], ",", 
     RowBox[{"iR", "[", "t", "]"}], ",", 
     RowBox[{"uL", "[", "t", "]"}], ",", 
     RowBox[{"iL", "[", "t", "]"}], ",", 
     RowBox[{"uc", "[", "t", "]"}], ",", 
     RowBox[{"ic", "[", "t", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"vse", ",", "nezname", ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.463062342065709*^9, 3.4630625674097376`*^9}, {
   3.463062602339965*^9, 3.4630627140505967`*^9}, 3.4630627706920433`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"proud", "=", 
   RowBox[{
    RowBox[{"iL", "[", "t", "]"}], "/.", "res"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"napeti", "=", 
   RowBox[{
    RowBox[{"uc", "[", "t", "]"}], "/.", "res"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.463062721200878*^9, 3.463062749100997*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"jak", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.63", "]"}], ",", 
        RowBox[{"Thickness", "[", "0.008", "]"}]}], "}"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"jakproud", "=", 
   RowBox[{"{", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<t [s]\>\"", ",", "\"\<i [A]\>\""}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"jaknapeti", "=", 
   RowBox[{"{", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<t [s]\>\"", ",", "\"\<uc [V]\>\""}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{"proud", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
   RowBox[{"Evaluate", "[", 
    RowBox[{"Sequence", "@@", 
     RowBox[{"Union", "[", 
      RowBox[{"jak", ",", "jakproud"}], "]"}]}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{"napeti", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
   RowBox[{"Evaluate", "[", 
    RowBox[{"Sequence", "@@", 
     RowBox[{"Union", "[", 
      RowBox[{"jak", ",", "jaknapeti"}], "]"}]}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.462986284753998*^9, 3.4629864069697356`*^9}}]
},
WindowSize->{847, 670},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 503, 17, 69, "Input"],
Cell[1051, 39, 2901, 91, 346, "Input"],
Cell[3955, 132, 331, 10, 71, "Input"],
Cell[4289, 144, 1556, 46, 233, "Input"]
}
]
*)

(* End of internal cache information *)
