(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7036,        224]
NotebookOptionsPosition[      6580,        206]
NotebookOutlinePosition[      7023,        223]
CellTagsIndexPosition[      6980,        220]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["", "PageBreak",
 PageBreakBelow->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f0", "=", 
   SuperscriptBox["10", "4"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tau", "=", 
   FractionBox["1", "f0"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vstup", "=", 
   RowBox[{
    RowBox[{"Tanh", "[", 
     RowBox[{"200", 
      RowBox[{"Sin", "[", 
       RowBox[{"2", "*", "Pi", "*", "f0", "*", "t"}], "]"}]}], "]"}], "*", 
    RowBox[{"Exp", "[", 
     FractionBox[
      RowBox[{"-", "t"}], "tau"], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", 
   RowBox[{"3", "tau"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pl", "[", 
    RowBox[{"co_", ",", "popis_", ",", "barva_"}], "]"}], ":=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", "co", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1.05"}], ",", "1.05"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"Evaluate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Hue", "[", "#", "]"}], ",", 
           RowBox[{"Thickness", "[", "0.008", "]"}]}], "}"}], "&"}], "/@", 
        "barva"}], "]"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t[s]\>\"", ",", "popis"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"pl1", "=", 
  RowBox[{"pl", "[", 
   RowBox[{"vstup", ",", "\"\<u [t]\>\"", ",", 
    RowBox[{"{", "0.63", "}"}]}], "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.4630718839462595`*^9, 3.4630720174181824`*^9}, {
   3.4630720778550863`*^9, 3.4630721951938114`*^9}, {3.4630722455261855`*^9, 
   3.463072328605648*^9}, {3.46307237347016*^9, 3.4630726819937954`*^9}, {
   3.463073556020584*^9, 3.463073567927706*^9}, {3.463073709761653*^9, 
   3.463073710923323*^9}, {3.463073799530734*^9, 3.463073803105875*^9}, {
   3.463073890020853*^9, 3.463073919012541*^9}, {3.4630740283397455`*^9, 
   3.463074029070797*^9}, 3.4630741650062623`*^9, 3.4631284238970003`*^9, {
   3.4631284559370003`*^9, 3.463128457189*^9}, {3.4632234020505376`*^9, 
   3.4632234024567876`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dos", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R1", "\[Rule]", 
      RowBox[{"1", "k\[CapitalOmega]"}]}], ",", 
     RowBox[{"c", "\[Rule]", 
      RowBox[{".01", "\[Mu]F"}]}], ",", 
     RowBox[{"R2", "\[Rule]", 
      RowBox[{"10", "k\[CapitalOmega]"}]}], ",", 
     RowBox[{"L", "\[Rule]", 
      RowBox[{"500", "mH"}]}], ",", 
     RowBox[{"mH", "\[Rule]", 
      SuperscriptBox["10", 
       RowBox[{"-", "3"}]]}], ",", 
     RowBox[{"\[Mu]F", "\[Rule]", 
      SuperscriptBox["10", 
       RowBox[{"-", "6"}]]}], ",", 
     RowBox[{"k\[CapitalOmega]", "\[Rule]", 
      SuperscriptBox["10", "3"]}], ",", 
     RowBox[{
      RowBox[{"u", "[", "t", "]"}], "\[Rule]", "vstup"}]}], "}"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"uzel1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"u", "[", "t", "]"}], "-", 
         RowBox[{"u1", "[", "t", "]"}]}], "R1"], "+", 
       RowBox[{"iL", "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{"c", "*", 
       RowBox[{
        RowBox[{"u1", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"u1", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"u2", "[", "t", "]"}], "-", 
       RowBox[{"u1", "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{"L", "*", 
       RowBox[{
        RowBox[{"iL", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"iL", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uzel2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"iL", "[", "t", "]"}], "+", 
      FractionBox[
       RowBox[{"u2", "[", "t", "]"}], "R2"]}], "\[Equal]", "0"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vse", "=", 
   RowBox[{
    RowBox[{"Union", "[", 
     RowBox[{"uzel1", ",", "uzel2"}], "]"}], "//.", "dos"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nezname", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"u1", "[", "t", "]"}], ",", 
     RowBox[{"u2", "[", "t", "]"}], ",", 
     RowBox[{"iL", "[", "t", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"vse", ",", "nezname", ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"pl", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"u2", "[", "t", "]"}], "/.", "res"}], ",", "vstup"}], "}"}], 
   ",", "\"\<\!\(\*
StyleBox[\"u\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"t\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\",\",
FontColor->GrayLevel[0]]\) \!\(\*
StyleBox[\"u2\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"t\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[1, 0, 0]]\)\>\"", ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0.63"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{
  3.463074070350154*^9, {3.463128543674*^9, 3.463128646473*^9}, {
   3.4632233669880376`*^9, 3.4632233720505376`*^9}}]
},
WindowSize->{1099, 670},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 44, 1, 5, "PageBreak",
 PageBreakBelow->True],
Cell[592, 23, 2446, 63, 346, "Input"],
Cell[3041, 88, 3535, 116, 324, "Input"]
}
]
*)

(* End of internal cache information *)
