(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      3438,        113]
NotebookOptionsPosition[      3064,         97]
NotebookOutlinePosition[      3527,        115]
CellTagsIndexPosition[      3484,        112]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"R1", "=", "5000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"C1", "=", 
   RowBox[{"10", "*", 
    SuperscriptBox["10", 
     RowBox[{"-", "6"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"u", "[", "t_", "]"}], ":=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rovnice", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"iC1", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"C1", "*", 
       RowBox[{
        RowBox[{"uC1", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"uR1", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"R1", "*", 
       RowBox[{"iR1", "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"iR1", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"iC1", "[", "t", "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"uC1", "[", "t", "]"}], "+", 
       RowBox[{"uR1", "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{"u", "[", "t", "]"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"poc", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"uC1", "[", "0", "]"}], "\[Equal]", "0"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vse", "=", 
   RowBox[{"Union", "[", 
    RowBox[{"rovnice", ",", "poc"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tau", "=", 
   RowBox[{"R1", "*", "C1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", 
   RowBox[{"5", "*", "tau"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nezname", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"uC1", "[", "t", "]"}], ",", 
     RowBox[{"iC1", "[", "t", "]"}], ",", 
     RowBox[{"uR1", "[", "t", "]"}], ",", 
     RowBox[{"iR1", "[", "t", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"vse", ",", "nezname", ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"uC1", "[", "t", "]"}], "/.", "res"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t [s]\>\"", ",", "\"\<uC1 [V]\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.462989492065886*^9, 3.4629899119997215`*^9}}]
},
WindowSize->{847, 670},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 2515, 75, 396, "Input"]
}
]
*)

(* End of internal cache information *)
